.header {
  position: sticky;
  top: 0;

  z-index: 1000;
  padding: var(--head-padding);
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}

.header-container {
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  gap: 1.5vw;
  justify-content: space-between;
}

.header-grid {
  display: flex;
  grid-template-columns: repeat(4, 1fr);
  align-items: center;
  gap: 2vw;
}

.logo img {
  width: 6vw;
  height: auto;
  display: block;
}

.logo {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.first-grid span,
.first-grid a {
  font-size: 0.9vw;
}

.second-grid {
  grid-template-columns: 3fr 1fr;
}

.nav-menu {
  display: flex;
  gap: 1.5vw;
  list-style: none;
  padding: 0;
  margin: 0;
}

.nav-menu li {
  position: relative;
}

.nav-menu li a {
  text-decoration: none;
  font-size: var(--regular-font-size);
  transition: color 0.3s ease;
}

.nav-menu li.menu-item-has-children > a::after {
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-left: 0.5vw;
  font-size: var(--regular-font-size);
  transition: transform 0.3s ease;
}

.nav-menu li.menu-item-has-children:hover > a::after {
  transform: rotate(180deg);
}

.nav-menu li ul {
  display: none;
  position: absolute;
  top: 100%;
  right: 0;
  padding: 1vw;
  list-style: none;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  z-index: 1000;
  box-sizing: border-box;
}

.nav-menu li:hover > ul {
  display: block;
}

.nav-menu li ul li a {
  font-size: var(--regular-font-size);
  white-space: nowrap;
  padding: 0.5vw;
  display: block;
  transition: background-color 0.3s ease;
}

.social-icons {
  display: flex;
  gap: 1vw;
  align-items: center;
  margin-left: auto;
}

.social-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2vw;
  height: 2vw;
  border-radius: 50%;
  background-color: #252525;
  text-decoration: none;
}

.social-icon i {
  font-size: var(--medium-font-size);
}

.left-center {
  display: flex;
  align-items: center;
  gap: 0.5vw;
  font-size: var(--medium-font-size);
}

.header-contact {
  display: flex;
  flex-direction: column;
  gap: 0;
  align-items: flex-start;
}
.header-contact__city {
  font-size: 0.7vw;
  opacity: 0.7;
}
.header-contact__city i {
  font-size: 0.6vw;
  margin-right: 0.2vw;
}
.header-contact__phone {
  font-size: 0.9vw;
  font-weight: 600;
  text-decoration: none;
}

.left-center i {
  font-size: 0.7vw;
}

.menu-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 23px;
  height: 24px;
  cursor: pointer;
  transition: transform 0.3s ease-in-out;
  z-index: 978100;
  position: relative;
}

.menu-icon span {
  display: block;
  height: 2px;
  width: 100%;
  background-color: #ffffff;
  border-radius: 1px;
  transition: all 0.3s ease-in-out;
}

.menu-icon.active span:nth-child(1) {
  transform: rotate(42deg) translate(4px, 4px);
}

.menu-icon.active span:nth-child(2) {
  transform: rotate(-45deg) translate(4px, -5px);
}

.menu-icon.active span:nth-child(3) {
  opacity: 0;
  transform: scale(0);
}

.menu-icon span:nth-child(3) {
  display: none;
}

.mobile_header {
  display: none;
}

.mobile-menu {
  position: fixed;
  display: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(0 0 0 / 27%);
  backdrop-filter: blur(17px);
  color: #fff;
  z-index: 9999;
  transition: opacity 0.3s ease-in-out;
  overflow-y: auto;
  opacity: 0;
}
.mobile-menu_block {
  position: fixed;
  top: 0;
  background: rgb(20 20 20);
  width: 100%;
  height: 100%;
}
.mobile-menu.open {
  left: 0;
  opacity: 1;
  display: block;
}

.mobile-nav-menu {
  list-style: none;
  padding: 0;
  margin: 4vw;
}

.mobile-nav-menu > li {
  padding: 0;
}

.mobile-nav-menu > li > a {
  color: #fff;
  text-decoration: none;
  font-size: 1.2rem;
  display: block;
  padding: 10px 20px;
}

.sub-menu {
  display: none;
  padding: 2vw 0 3vw 0;
  background: #212121;
  border-radius: 0.6vw;
  overflow: hidden;
  transition: height 0.3s ease-in-out;
}

.sub-menu.open {
  display: block;
}

.mobile-nav-menu > li {
  padding: 0;
}

.sub-menu > li > a {
  opacity: 0.7;
  font-size: 4.3vw;
  padding: 12px 20px;
  line-height: 1;
  display: block;
  transition: opacity 0.3s ease, color 0.3s ease;
}

.sub-menu > li > a:hover {
  opacity: 1;
}

.menu-item-has-children > a::after {
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-left: 2vw;
  font-size: var(--regular-font-size);
  transition: transform 0.3s ease;
}

@media (max-width: 768px) {
  .heder_main {
    display: none;
  }

  .sub-menu {
    border-radius: 2vw;
  }
  .mobile_header {
    display: flex;
    gap: 2vw;
    align-content: center;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }

  .right_mob {
    display: flex;
    gap: 6vw;
    align-content: center;
    align-items: center;
  }

  .mobile_header .logo img {
    width: 20vw;
    height: auto;
    display: block;
  }

  .phone_mob a {
    font-size: 4vw;
  }
}
